Problema de instalacion de VMware

Imagen de marvi
0 puntos

Hola buenas a todos, hace poco que empece con Linux y estaba intentando instalar el Vmware Server 1.0.2 y ya instale los headers correspondientes a mi version y todo lo que me lei en los foros que hacia falta antes, comprobe mi version de Kernel que es la 2.6.20-15-generic (Ubuntu 7.04) pero por mas que miro en los foros y hago y reago y demas me da fallo al compilar o algo asi, cuando ejecuto el archivo vmware-config.pl para configurarlo antes de usarlo pero me sale todo el rato lo mismo... esto:

 --------------------------------

 What is the location of the directory of C header files that match your running
kernel? [/usr/src/linux-headers-2.6.20-15-generic/include]

Extracting the sources of the vmmon module.

Building the vmmon module.

Using 2.6.x kernel build system.
make: se ingresa al directorio `/tmp/vmware-config1/vmmon-only'
make -C /usr/src/linux-headers-2.6.20-15-generic/include/.. SUBDIRS=$PWD SRCROOT=$PWD/. modules
make[1]: se ingresa al directorio `/usr/src/linux-headers-2.6.20-15-generic'
  CC [M]  /tmp/vmware-config1/vmmon-only/linux/driver.o
In file included from /tmp/vmware-config1/vmmon-only/linux/driver.c:80:
/tmp/vmware-config1/vmmon-only/./include/compat_kernel.h:21: error: expected declaration specifiers or ‘...’ before ‘compat_exit’
/tmp/vmware-config1/vmmon-only/./include/compat_kernel.h:21: error: expected declaration specifiers or ‘...’ before ‘exit_code’
/tmp/vmware-config1/vmmon-only/./include/compat_kernel.h:21: aviso: el tipo de dato por defecto es ‘int’ en la declaración de ‘_syscall1’
make[2]: *** [/tmp/vmware-config1/vmmon-only/linux/driver.o] Error 1
make[1]: *** [_module_/tmp/vmware-config1/vmmon-only] Error 2
make[1]: se sale del directorio `/usr/src/linux-headers-2.6.20-15-generic'
make: *** [vmmon.ko] Error 2
make: se sale del directorio `/tmp/vmware-config1/vmmon-only'
Unable to build the vmmon module.

For more information on how to troubleshoot module-related problems, please
visit our Web site at "http://www.vmware.com/download/modules/modules.html" and
"http://www.vmware.com/support/reference/linux/prebuilt_modules_linux.html".

Execution aborted.

 ---------------------------------------

Y total que no puedo usar el AutoCad que es para lo unico que lo quiero la verdad... si alguien sabe que hago mal o que puede ser lo agradeceria. Esque mire a otros que les pasaba lo mismo pero hago lo que dicen y nada. Gracias de antemano por ayudar...

Imagen de Adrian Montoya Lince
+1
0
-1

Me ocurrio lo mismo al actualizar de edgy a feisty 

aqui dan la solucion: http://www.debuntu.org/how-to-vmware-server-workstation-under-ubuntu-feisty

basicamente consiste en editar la linea "static inline _syscall1(int, compat_exit, int, exit_code);" en el archivo vmmon-only/include/compat_kernel.h

funciona! ;)

 

Linux User #319165

Ubuntu feisty

 

+1
0
-1

Adrián Montoya Lince
Linux User #319165

Imagen de marvi
+1
0
-1

De muerte, justo lo que necesitaba, ya va bien gracias.... 

 

Dicen que el cd de windows si lo pones del reves se oyen psikofonias, pero si lo pones del derecho es peor, te instala Windows...

+1
0
-1

Dicen que el cd de windows si lo pones del reves se oyen psikofonias, pero si lo pones del derecho es peor, te instala Windows...